osgTerrain::WhiteListTileLoadedCallback Class Reference

`#include <TerrainTile>`

Inheritance diagram for osgTerrain::WhiteListTileLoadedCallback:

## Public Member Functions

| WhiteListTileLoadedCallback ()
void | allow (const std::string &setname)
void | setMinimumNumOfLayers (unsigned int numLayers)
unsigned int | getMinimumNumOfLayers () const
void | setReplaceSwitchLayer (bool replaceSwitchLayer)
bool | getReplaceSwitchLayer () const
void | setAllowAll (bool allowAll)
bool | getAllowAll () const
bool | layerAcceptable (const std::string &setname) const
bool | readImageLayer (osgTerrain::ImageLayer *imageLayer, const osgDB::ReaderWriter::Options *options) const
virtual bool | deferExternalLayerLoading () const
virtual void | loaded (osgTerrain::TerrainTile *tile, const osgDB::ReaderWriter::Options *options) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::set< std::string > | SetWhiteList

## Protected Member Functions

virtual | ~WhiteListTileLoadedCallback ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

SetWhiteList | _setWhiteList
unsigned int | _minumumNumberOfLayers
bool | _replaceSwitchLayer
bool | _allowAll
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

Helper callback for managing optional sets of layers, that loading of is deffered to this callback, with this callback working out which layers to load, and how to create fallback versions of the layers.

## Member Typedef Documentation

## SetWhiteList

typedef std::set<std::string> osgTerrain::WhiteListTileLoadedCallback::SetWhiteList

protected

## Constructor & Destructor Documentation

## WhiteListTileLoadedCallback()

osgTerrain::WhiteListTileLoadedCallback::WhiteListTileLoadedCallback | ( |  | ) |

## ~WhiteListTileLoadedCallback()

virtual osgTerrain::WhiteListTileLoadedCallback::~WhiteListTileLoadedCallback | ( |  | ) |

protected virtual

## Member Function Documentation

## allow()

void osgTerrain::WhiteListTileLoadedCallback::allow | ( | const std::string & | setname | ) |

inline

References _setWhiteList.

## deferExternalLayerLoading()

virtual bool osgTerrain::WhiteListTileLoadedCallback::deferExternalLayerLoading | ( |  | ) | const

virtual

Implements osgTerrain::TerrainTile::TileLoadedCallback.

## getAllowAll()

bool osgTerrain::WhiteListTileLoadedCallback::getAllowAll | ( |  | ) | const

inline

References _allowAll.

## getMinimumNumOfLayers()

unsigned int osgTerrain::WhiteListTileLoadedCallback::getMinimumNumOfLayers | ( |  | ) | const

inline

References _minumumNumberOfLayers.

## getReplaceSwitchLayer()

bool osgTerrain::WhiteListTileLoadedCallback::getReplaceSwitchLayer | ( |  | ) | const

inline

References _replaceSwitchLayer.

## layerAcceptable()

bool osgTerrain::WhiteListTileLoadedCallback::layerAcceptable | ( | const std::string & | setname | ) | const

## loaded()

virtual void osgTerrain::WhiteListTileLoadedCallback::loaded | ( | osgTerrain::TerrainTile * | tile,
|  | const osgDB::ReaderWriter::Options * | options ) const

virtual

Implements osgTerrain::TerrainTile::TileLoadedCallback.

## readImageLayer()

bool osgTerrain::WhiteListTileLoadedCallback::readImageLayer | ( | osgTerrain::ImageLayer * | imageLayer,
|  | const osgDB::ReaderWriter::Options * | options ) const

## setAllowAll()

void osgTerrain::WhiteListTileLoadedCallback::setAllowAll | ( | bool | allowAll | ) |

inline

References _allowAll.

## setMinimumNumOfLayers()

void osgTerrain::WhiteListTileLoadedCallback::setMinimumNumOfLayers | ( | unsigned int | numLayers | ) |

inline

References _minumumNumberOfLayers.

## setReplaceSwitchLayer()

void osgTerrain::WhiteListTileLoadedCallback::setReplaceSwitchLayer | ( | bool | replaceSwitchLayer | ) |

inline

References _replaceSwitchLayer.

## Member Data Documentation

## _allowAll

bool osgTerrain::WhiteListTileLoadedCallback::_allowAll

protected

Referenced by getAllowAll(), and setAllowAll().

## _minumumNumberOfLayers

unsigned int osgTerrain::WhiteListTileLoadedCallback::_minumumNumberOfLayers

protected

Referenced by getMinimumNumOfLayers(), and setMinimumNumOfLayers().

## _replaceSwitchLayer

bool osgTerrain::WhiteListTileLoadedCallback::_replaceSwitchLayer

protected

Referenced by getReplaceSwitchLayer(), and setReplaceSwitchLayer().

## _setWhiteList

SetWhiteList osgTerrain::WhiteListTileLoadedCallback::_setWhiteList

protected

Referenced by allow().

The documentation for this class was generated from the following file:

- TerrainTile